import request from '@/utils/request'

// 查询prod列表
export function listProducts(query) {
  return request({
    url: '/prod/products/list',
    method: 'get',
    params: query
  })
}

// 查询prod详细
export function getProducts(productId) {
  return request({
    url: '/prod/products/' + productId,
    method: 'get'
  })
}

// 新增prod
export function addProducts(data) {
  return request({
    url: '/prod/products',
    method: 'post',
    data: data
  })
}

// 修改prod
export function updateProducts(data) {
  return request({
    url: '/prod/products',
    method: 'put',
    data: data
  })
}

// 删除prod
export function delProducts(productId) {
  return request({
    url: '/prod/products/' + productId,
    method: 'delete'
  })
}
